<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <link rel="icon" href="data:;base64,iVBORwOKGO=" />
    <!-- load pearson and global styles -->
    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css/dist/gravity.css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment-with-locales.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-range/4.0.2/moment-range.js"></script>
    <script src="js/dist/pearson-datepicker.js"></script>
    <style>
      pearson-datepicker {
        display:flex;
        margin: 2em auto;
      }
    </style>
  </head>

  <body>
  <main id="main">
    <pearson-datepicker></pearson-datepicker>
  </main>

  <script>
    const datepicker = document.querySelector('pearson-datepicker');
    document.addEventListener('dateselected', event => {
      console.log(event.detail)
    })
  </script>

  </body>

</html>
